> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/index/constituents.md).

# 3.2 Index Constituents

```
GET /indices/{index_ticker}/constituents
```

**Path Parameters**

| Parameter | Type           | Required | Description                |
| --------- | -------------- | -------- | -------------------------- |
| ticker    | Array\[String] | Yes      | Index ticker, e.g. ssimag7 |

**Response Example**

```json
[
    {
        "currency_id": "1673723677362319867",
        "symbol": "btc",
        "weight": 0.31
    }
]
```

**Response Fields**

| Field        | Type   | Description                 |
| ------------ | ------ | --------------------------- |
| currency\_id | String | Currency ID                 |
| symbol       | String | Constituent currency symbol |
| weight       | Number | Weight (0-1)                |
